package nccloud.pubift.commen.itf.utils;


import com.alibaba.fastjson.JSONObject;
import nc.bs.logging.Log;
import nc.vo.pub.BusinessException;

import java.util.Map;


public interface IHttpPostOtherSys {

    String logginfo = "OALOG";

    Log obmlog = Log.getInstance(logginfo);

    /**
     * @param apiPath MES的接口地址，不包含ip
     * @param json    入参
     */
    public String callMes(String apiPath, JSONObject json);

    /**
     * 发送数据到外部系统
     */
    public void sendToExternalSystem(String apiPaht, Map<String, Object> requestData) throws BusinessException;

    public boolean checkIfExcludeUser();

    public boolean checkIfIncludeOrg(String code) throws BusinessException;

    public String transferCodeByPk(String tableName, String selectField, String pkField, String pk) throws BusinessException;
}
